=== debian/changelog ===
ros-indigo-vrpn-client-ros (0.1.0-0trusty) trusty; urgency=high

  * Add separate publishers for each sensor id
  * Add Possibility to Append Sensor Id to TF Client Frame
  * Update 'supported devices' link in README
  * Contributors: Karljohan Lundin Palmerius, Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 26 Oct 2016 04:00:00 -0000

ros-indigo-vrpn-client-ros (0.0.2-0trusty) trusty; urgency=high

  * Fix tf header timestamps
  * Update sample.launch
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 07 Jul 2015 04:00:00 -0000

ros-indigo-vrpn-client-ros (0.0.1-0trusty) trusty; urgency=high

  * Rename to vrpn_client_ros
  * Simplify tracker update logic; add blacklist for VRPN Control
  * Break out separate nodes for client and tracker, and clean up build
  * Initial prototype
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 22 Jun 2015 04:00:00 -0000
