=== debian/control ===
Source: ros-indigo-vrpn-client-ros
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-tf2-ros, ros-indigo-vrpn
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-vrpn-client-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-tf2-ros, ros-indigo-vrpn
Description: ROS client nodes for the VRPN library, compatible with VICON, OptiTrack, and other hardware interfaces.
